package ${package};

import static org.eiichiro.monophony.MediaType.*;
import static org.eiichiro.monophony.Verb.*;

import org.eiichiro.jaguar.inject.Inject;
import org.eiichiro.monophony.annotation.Allows;
import org.eiichiro.monophony.annotation.Endpoint;
import org.eiichiro.monophony.annotation.Generates;

@Endpoint
public class StatusEndpoint {

	@Inject private StatusService service;
	
	@Allows(GET)
	@Generates(APPLICATION_JSON)
	public Status get() {
		return service.get();
	}
	
}
